import * as stream from 'stream';

interface IGetFileFromDisksOptions {
  /** Number of the disk where the local file header starts */
  diskStart: number;
  /** Offset into the start of the disk where the local file header starts. */
  offset: number;
  /** Length of the stored file (compressed size + optional 12 byte encryption header), but excluding the length of the local file header. */
  storedSize: number;
}

/** Takes a list of ReadableStreams (the disks), as well as the offset and length, and returns a stream for just one file. */
export default function getFileFromDisks(disks: stream.Readable[], { diskStart, offset, storedSize }: IGetFileFromDisksOptions) {
  //...
}
